aboutsummaryrefslogtreecommitdiff
path: root/scripts/make-payload
diff options
context:
space:
mode:
Diffstat (limited to 'scripts/make-payload')
-rwxr-xr-xscripts/make-payload22
1 files changed, 22 insertions, 0 deletions
diff --git a/scripts/make-payload b/scripts/make-payload
new file mode 100755
index 0000000..ec88f0a
--- /dev/null
+++ b/scripts/make-payload
@@ -0,0 +1,22 @@
+#!/bin/sh
+
+set -e
+set -u
+
+usage() {
+ echo "$0 [directory]"
+ exit 1
+}
+
+if [ $# = 1 ]; then
+ cd "$1" || usage
+elif [ $# != 0 ]; then
+ usage
+fi
+
+gfind * -type d -printf 'dir path=%p\n'
+gfind * -type f -printf 'file path=%p\n'
+gfind * -type l -printf 'link path=%p target=%l\n'
+
+exit 0
+